#ifndef __SINGLE_H__
#define __SINGLE_H__

/* Starts the single instance mechanism.
 * It must be called as soon as the application starts.
 * Returns TRUE if the application must exit.
 */
int  single_instance_start(void);

/* Registers a callback that it will be called
 * as soon as a secondary instance will be launched.
 * It will receive the command line sent on the secondary instance
 */
void single_instance_register(void *callback);

/* Stops the single instance mechanism */
void single_instance_stop(void);

/* callback type for function single_instance_register() */
typedef void (*single_instance_callback)(const char *);


#endif
